From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/ddrescue/
Date: Sun, 23 Mar 2025 06:02:38 +0000 (UTC) [thread overview]
Message-ID: <1742708204.713fc6bdfa10717ad7d6c7a0c709c1325d723fb0.sam@gentoo> (raw)
commit: 713fc6bdfa10717ad7d6c7a0c709c1325d723fb0
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 23 05:36:09 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 23 05:36:44 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=713fc6bd
sys-fs/ddrescue: add 1.29.1
While here, fix invalid use of `econf` given it's not a GNU Autoconf configure,
just as the comment says!
I also compared the arguments passed to another package maintained by
the same upstream (app-arch/lzip) as a quick sanity check.
Bug: https://bugs.gentoo.org/414457
Fixes: 301a06db81e6c720d3551291cc462970701a4de3
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-fs/ddrescue/Manifest | 1 +
sys-fs/ddrescue/ddrescue-1.29.1.ebuild | 38 ++++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/sys-fs/ddrescue/Manifest b/sys-fs/ddrescue/Manifest
index 3d5fcee9d482..0e2bc1bd16e6 100644
--- a/sys-fs/ddrescue/Manifest
+++ b/sys-fs/ddrescue/Manifest
@@ -1,2 +1,3 @@
DIST ddrescue-1.28.tar.lz 93823 BLAKE2B 8c212f0d495e0df8e0398b97730c812ea9ccb77bd42e730198222e9918e3652fc52d932449b1e0dc9bdd453a123e2450c962e33e98d9845ce81b9a934a5bbdaa SHA512 ad3df2361b3b0228e2875792e0f6b301dc4d9cefd3f4fcdbce180a53c32924ee026bd27397b8efc94f40ee10f5f9d453fa72bd19203b6cb90208881e287e2c46
+DIST ddrescue-1.29.1.tar.lz 97623 BLAKE2B c1aaf24e645683e2f7a980f8eb237dc9673613229a953885d05c582c0344619311e67046f0cb5d914402341d11656454c1791a83b6f4ea9cb3fd5bd0bb6af369 SHA512 622de9f7739458142ae5a12f08557e1e5180534a42640e99e3db5ac535e6007616b534d79ce8f864944b1a5dc3385748aa2c216901522200f4f61969a9ff16aa
DIST ddrescue-1.29.tar.lz 96728 BLAKE2B 88eab69f2296464859dc8720930f28f6bc32aa694649e15a99dcd9dfd63ed8ba845d7af347e8b1ee90e954f8317888ec0f2cd90ec98994a7d2b4d654a31adbfc SHA512 b15ca0394a19f0fba577a12c19ffb1d14b0e66a4356bf0e1cdc27ba4edcb208fbce5ca214ddccaa88aa8e116ce76932ba26a14046ccd9c835fefc20557c36cf1
diff --git a/sys-fs/ddrescue/ddrescue-1.29.1.ebuild b/sys-fs/ddrescue/ddrescue-1.29.1.ebuild
new file mode 100644
index 000000000000..472b3c5c437f
--- /dev/null
+++ b/sys-fs/ddrescue/ddrescue-1.29.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo toolchain-funcs flag-o-matic unpacker
+
+DESCRIPTION="Copy data from one file or block device to another with read-error recovery"
+HOMEPAGE="https://www.gnu.org/software/ddrescue/ddrescue.html"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.lz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+IUSE="static"
+
+BDEPEND="$(unpacker_src_uri_depends)"
+
+src_configure() {
+ use static && append-ldflags -static
+
+ # not a normal configure script
+ edo ./configure \
+ --prefix="${EPREFIX}"/usr \
+ CXX="$(tc-getCXX)" \
+ CPPFLAGS="${CPPFLAGS}" \
+ CXXFLAGS="${CXXFLAGS}" \
+ LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ ./testsuite/check.sh "${S}"/testsuite || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" install install-man
+ einstalldocs
+}
next reply other threads:[~2025-03-23 6:02 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-23 6:02 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-16 0:51 [gentoo-commits] repo/gentoo:master commit in: sys-fs/ddrescue/ Sam James
2024-10-04 17:37 Andreas Sturmlechner
2024-09-23 7:38 Arthur Zamarin
2024-09-23 6:02 Arthur Zamarin
2024-09-23 0:32 Sam James
2024-09-23 0:32 Sam James
2024-04-07 15:22 Marek Szuba
2023-11-17 13:36 Sam James
2023-03-30 11:31 Marek Szuba
2023-03-30 9:56 Sam James
2023-03-30 9:56 Sam James
2023-03-30 9:38 Sam James
2023-03-30 9:30 Sam James
2023-01-25 7:13 Sam James
2023-01-24 11:00 Marek Szuba
2022-10-18 2:18 Sam James
2022-09-26 1:01 Marek Szuba
2022-06-29 11:08 Marek Szuba
2022-05-26 23:26 Jakov Smolić
2022-05-26 23:26 Jakov Smolić
2022-05-26 23:19 Jakov Smolić
2022-05-26 23:19 Jakov Smolić
2022-04-07 17:04 Jakov Smolić
2022-01-24 6:39 Lars Wendler
2022-01-24 6:39 Lars Wendler
2020-08-02 12:04 Sergei Trofimovich
2020-08-02 11:48 Sergei Trofimovich
2020-03-03 16:07 Lars Wendler
2020-03-03 16:07 Lars Wendler
2020-02-05 10:34 Agostino Sarubbo
2019-11-20 15:40 Agostino Sarubbo
2019-11-20 11:27 Agostino Sarubbo
2019-11-20 11:16 Agostino Sarubbo
2019-02-25 21:09 Lars Wendler
2019-02-25 21:09 Lars Wendler
2018-11-18 10:52 Sergei Trofimovich
2018-02-16 19:23 Lars Wendler
2017-02-07 6:08 Lars Wendler
2017-02-03 23:13 Lars Wendler
2017-01-15 23:24 Lars Wendler
2017-01-02 15:15 Agostino Sarubbo
2016-03-18 21:50 Lars Wendler
2016-03-18 21:50 Lars Wendler
2016-02-14 10:11 Agostino Sarubbo
2016-01-23 16:59 Agostino Sarubbo
2015-09-11 20:58 Lars Wendler
2015-09-11 20:58 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1742708204.713fc6bdfa10717ad7d6c7a0c709c1325d723fb0.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox